Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154916 - Mailman does not start under SELinux strict policy
Summary: Mailman does not start under SELinux strict policy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 20:29 UTC by John Dennis
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 10:53:37 UTC


Attachments (Terms of Use)

Description John Dennis 2005-04-14 20:29:37 UTC
Note problem originally reported by:
David Hampton <hampton-rh@rainbolthampton.net>

Mailman does not start under SELinux strict policy

The mailman /etc/init.d script does this:

        python mailmanctl -s -q start

instead of just

        mailmanctl -s -q start

This prevents the domain_auto_trans rule in mailman.te from switching
domains from initrc_t to mailman_mail_t.

Comment 1 John Dennis 2005-04-14 20:35:50 UTC
Notes:

This applies to FC3, FC4, and RHEL4

It is not sufficient to just remove python from the fron the command that
invokes mailmanctl (despite the fact mailmanctl has a python command interpreter
#! on the first line). This is because in the status mode mailmanctl wants to
write to the terminal, but the SELinux security policy has turned off tty access.

There are two possible solutions:

1) Capture the output from mailmanctl and echo it later, e.g.:

'status')
    STATUS=`$MAILMANCTL -u status`
    RETVAL=$?
    echo $STATUS

2) Once mailmanctl reports valid run status via its exit status, then get the
pid from /var/run/mailman, this way mailmanctl is not doing any "stdout"


Comment 2 Matthew Miller 2006-07-10 22:12:15 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.